package model

import "encoding/json"

var (
	CheckinOndutyMoneyEnable  = "checkin.onduty.money.enable"
	CheckinOffdutyMoneyEnable = "checkin.offduty.money.enable"
	CheckinOndutyMoney        = "checkin.onduty.money"
	CheckinOffdutyMoney       = "checkin.offduty.money"
)
var (
	UserConfigStatusNormal  = 1
	UserConfigStatusDisable = 2
)

type UserConfig struct {
	Id         int64
	Username   string
	Config     string
	Status     int
	CreateTime int64
	UpdateTime int64
}

func (u *UserConfig) Get(key string) interface{} {
	config := make(map[string]interface{})
	json.Unmarshal([]byte(u.Config), &config)
	return config[key]
}
